Subject: Re: [PATCH 09/15] hash: set and copy algo field in struct object_id

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Apr 2021 03:53:05 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> But we can use some subset of C99 features, and happily designated
> initializers is one of those, see cbc0f81d96f (strbuf: use designated
> initializers in STRBUF_INIT, 2017-07-10). It's been used all over the
> place since then.

Good advice to cite a commit that on purpose used a feature and
documented that it is allowed.

Also see Documentation/CodingGuidelines ;-)  The document should
give the authoritative blessing for features allowed to be used (add
any missing with a proposed patch).

Thanks.